# $Revision: 1.47.2.8 $, $Date: 2003/09/08 16:26:43 $
Summary:	Universal SSL tunnel
Summary(pl):	Uniwersalne narzdzie do bezpiecznego tunelowania
Name:		stunnel
Version:	3.26
Release:	1
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.stunnel.org/download/stunnel/src/%{name}-%{version}.tar.gz
# Source0-md5:	e2cffe2f2753416d37ea1619c0d0f96e
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-gethostbyname_is_in_libc_aka_no_libnsl.patch
Patch2:		%{name}-piddir.patch
Patch3:		%{name}-gen-cert.patch
Patch4:		%{name}-authpriv.patch
Patch5:		%{name}-ac_fixes.patch
URL:		http://www.stunnel.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openssl-devel >= 0.9.6j
BuildRequires:	openssl-tools >= 0.9.6j
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_certdir	/var/lib/stunnel

%description
The stunnel program is designed to work as SSL encryption wrapper
between remote client and local (inetd-startable) or remote server.
The concept is that having non-SSL aware daemons running on your
system you can easily setup them to communicate with clients over
secure SSL channel. stunnel can be used to add SSL functionality to
commonly used inetd daemons like POP-2, POP-3 and IMAP servers without
any changes in the programs' code.

%description -l pl
Stunnel umoliwia stawianie silnie kodowanych tuneli pomidzy serwerem
a komputerem klienta. Przy jego uyciu mona atwo zrealizowa usugi
pop3s lub https.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__autoconf}
%configure \
	--with-pem-dir=%{_certdir}
	
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	certdir=$RPM_BUILD_ROOT/%{_certdir}
	
%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc BUGS CREDITS FAQ HISTORY README TODO doc/english/transproxy.txt doc/english/*.html
%doc %lang(pl) doc/polish/*
%config(noreplace) %verify(not size mtime md5) %attr(600,root,root) %{_certdir}/stunnel.pem
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/*
%dir /var/run/stunnel
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: stunnel.spec,v $
Revision 1.47.2.8  2003/09/08 16:26:43  areq
- 3.26 - security fix
  http://securitytracker.com/alerts/2003/Sep/1007629.html

Revision 1.47.2.7  2003/07/25 22:15:32  blues
- missing gzip-doc-fix

Revision 1.47.2.6  2003/07/25 22:03:30  blues
- this spec is *really* ancient...

Revision 1.47.2.5  2003/07/25 22:01:09  blues
- some small fixes

Revision 1.47.2.4  2003/07/25 18:06:13  misi3k
- s/pld.org.pl/pld-linux.org/

Revision 1.47.2.3  2003/07/25 18:01:34  misi3k
- updated Source0 url, md5

Revision 1.47.2.2  2003/07/25 17:58:00  misi3k
- rel 2
- added security patch from RedHat (SIGCHLD)
CVE: CAN-2002-1563

Revision 1.47.2.1  2003/07/11 12:04:16  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.47  2002/01/07 19:01:42  kloczek
- added ac_fixes patch which moves all AC_CHECK_SIZEOF() before libraries
  detections,
- remove obsoleted patches.

Revision 1.46  2002/01/06 17:44:47  marcus
- start upgradinf to 3.22 (security fixes)

Revision 1.45  2001/10/16 14:41:18  kloczek
- bump release to 2,
- merge authpriv patch from rawhide.

Revision 1.44  2001/10/16 12:39:19  qboosh
- conf patch: fix for libwrap checking in configure(.in)
- removed calling automake - this package doesn't have automake support
- fixed DESTDIR patch
- updated %%doc

Revision 1.43  2001/10/16 10:17:37  kura
- removed outdated stunnel-fixargs.patch

Revision 1.42  2001/10/03 08:36:51  marcus
- new version 3.20

Revision 1.41  2001/10/03 08:26:04  marcus
- ac/am fixes

Revision 1.40  2001/09/25 19:33:37  baggins
- version 3.18

Revision 1.39  2001/07/16 00:04:10  kloczek
- start update to 3.15 (NOTE: not compiles),
- new Source url,

Revision 1.38  2001/05/09 01:31:36  kloczek
- release 2: rebuild against openssl 0.9.6a.

Revision 1.37  2001/04/30 16:05:31  kloczek
- added using %%{rpmcflags} macro.

Revision 1.36  2001/02/23 03:38:37  kloczek
- updated to 3.14.

Revision 1.35  2001/01/25 20:03:49  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.34  2001/01/02 15:52:22  baggins
- added openssl-tools to buildrequires

Revision 1.33  2001/01/02 15:40:56  baggins
- updated to 3.11

Revision 1.32  2001/01/02 15:12:56  baggins
- finished upgrade to 3.9
- added gen-cert and piddir patches
- moved stunnel certs to /var/lib/stunnel
- added /var/run/stunnel

Revision 1.31  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.30  2000/12/20 02:56:03  kloczek
- typo in pl Summary.

Revision 1.29  2000/12/20 02:55:31  kloczek
- updated to 3.9 (but NFY),
- added using new rpm automation,
- new Source url and URL.

Revision 1.28  2000/08/21 17:54:36  kloczek
- release 5,
- added gethostbyname_is_in_libc_aka_no_libnsl patch - now stunnel is not
  linked with libnsl.

Revision 1.27  2000/06/21 19:11:42  kloczek
- release 4,
- spec adapterized.

Revision 1.26  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.24  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.22  2000/03/07 18:11:54  baggins
- added fixargs patch

Revision 1.21  2000/02/28 14:23:18  wiget
- updated to new version

Revision 1.20  2000/02/12 12:27:49  wiget
3.7

Revision 1.19  2000/02/10 21:41:56  kloczek
- spec adapterized,
- cosmetics.

Revision 1.18  2000/02/10 03:53:24  wiget
3.6

Revision 1.17  1999/12/21 23:04:45  wiget
- changed for new openssl
- some new version

Revision 1.16  1999/10/16 16:30:02  waszi
- patch1 -p1 -> patch1 -p0

Revision 1.15  1999/09/21 09:32:35  wiget
- BuildRequires: openssl-devel >= 0.9.4 (API changed)

Revision 1.14  1999/09/12 14:56:19  jajcus
- new patch - now the package compiles again
- hardcoded SSL directories fixed
- stunnel.pam certificate is now %config (should it be
  included in package at all?)

Revision 1.13  1999/07/21 12:43:11  pius
- new patches,
- spec file cleanups.

Revision 1.12  1999/07/21 10:54:14  pius
- cosmetics.

Revision 1.11  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.10  1999/07/14 14:52:12  baggins
- update to 3.4a

Revision 1.9  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 13 1999 Artur Frysiak <wiget@@pld.org.pl>
  [3.2-1]
- initial release
